Subject: bug#36886: 26.2; (global-eldoc-mode -1) should disable eldoc completely

From: Eli Zaretskii <[email-masked]>
Date: Fri, 02 Aug 2019 14:50:07 +0300

> From: Sanel Zukan <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 02 Aug 2019 11:35:29 +0200
> 
> 1. $ emacs -Q
> 2. M-x (global-eldoc-mode -1)
> ;; by not it should be disabled in mode-line, but if you do this:
> 3. M-: (fboundp '    <-- after entering apostrophe, eldoc will show
> 'fboundp' protoype in mode-line.

So this only happens in M-:.  That wasn't evident from your original
report.  global-eldoc-mode generally shows the signatures when point
is inside any defun or other def* forms, not only in the minibuffer.

Thanks.